Main Page Class List Class Members

List of all members | Public Member Functions | Public Attributes
Nv::Blast::TkWorker Class Referencefinal

`#include <NvBlastTkTaskImpl.h>`

Inheritance diagram for Nv::Blast::TkWorker:

## Public Member Functions
| TkWorker ()
void | initialize ()
void | process (uint32_t jobID)
void | process (TkWorkerJob &job)

## Public Attributes
LocalBuffer< NvBlastBondFractureData > | m_bondBuffer
| memory manager for bonds event data More...
LocalBuffer< NvBlastChunkFractureData > | m_chunkBuffer
| memory manager for chunk event data More...
TkGroupImpl * | m_group
| the group owning this worker More...
uint32_t | m_id
| this worker's id More...
bool | m_isBusy
void * | m_splitScratch
NvBlastFractureBuffers | m_tempBuffer

## Detailed Description

Thread worker fracturing and splitting actors sequentially. The list of actual jobs is provided by the group owning this worker.

## Constructor & Destructor Documentation

## ◆ TkWorker()

Nv::Blast::TkWorker::TkWorker | ( |  | ) |
| inline

## Member Function Documentation

## ◆ initialize()

void Nv::Blast::TkWorker::initialize | ( |  | ) |

## ◆ process() [1/2]

void Nv::Blast::TkWorker::process | ( | uint32_t | jobId | ) |
| virtual

Process a job of this worker's TkGroup.

/param[in] jobId a job id in the range (0, TkGroup::startProcess()]

Implements Nv::Blast::TkGroupWorker.

## ◆ process() [2/2]

void Nv::Blast::TkWorker::process | ( | TkWorkerJob & | job | ) |

## Member Data Documentation

## ◆ m_bondBuffer

LocalBuffer<NvBlastBondFractureData> Nv::Blast::TkWorker::m_bondBuffer

memory manager for bonds event data

## ◆ m_chunkBuffer

LocalBuffer<NvBlastChunkFractureData> Nv::Blast::TkWorker::m_chunkBuffer

memory manager for chunk event data

## ◆ m_group

TkGroupImpl* Nv::Blast::TkWorker::m_group

the group owning this worker

## ◆ m_id

uint32_t Nv::Blast::TkWorker::m_id

this worker's id

## ◆ m_isBusy

bool Nv::Blast::TkWorker::m_isBusy

## ◆ m_splitScratch

void* Nv::Blast::TkWorker::m_splitScratch

## ◆ m_tempBuffer

NvBlastFractureBuffers Nv::Blast::TkWorker::m_tempBuffer

The documentation for this class was generated from the following file:

- sdk/toolkit/source/NvBlastTkTaskImpl.h